<?php
//##copyright##

if ($queue = $iaDb->row(iaDb::ALL_COLUMNS_SELECTION, null, 'mailer_recipients'))
{
	$iaDb->setTable('mailer_messages');

	$iaMailer = $iaCore->factory('mailer');

	$recipients = explode(',', $queue['recipients']);
	$m = $iaDb->row(iaDb::ALL_COLUMNS_SELECTION, iaDb::convertIds($queue['message_id']));

	if ($m['html'])
	{
		$iaMailer->IsHTML = true;
	}

	$iaMailer->ClearAddresses();
	$iaMailer->FromName = $m['from_name'];
	$iaMailer->From = $m['from_mail'];
	$iaMailer->Subject = $m['subj'];
	$iaMailer->Body = $m['body'];

	foreach($recipients as $email)
	{
		$iaMailer->AddAddress($email);
	}

	$iaMailer->Send();

	$iaDb->delete(iaDb::convertIds($queue['id']), 'mailer_recipients');

	$iaDb->exists('`message_id` =  ' . $m['id'], null, 'mailer_recipients')
		? $iaDb->update(null, '`id` = ' . $m['id'], array('total' => '`total` - ' . count($recipients)))
		: $iaDb->delete(iaDb::convertIds($m['id']));

	$iaDb->resetTable();
}